Migrate from MobileID to ReuseID
Our ReuseID API is the next-generation API for reusable identity services, representing the future of our platform.
It offers a broader set of functionalities than the first-generation MobileID API, such as authentication with both MobileID and Passkeys.
About the migration
We have moved MobileID authentication under ReuseID. This means that you can now use the ReuseID API to:
- Create and manage users.
- Create and manage MobileID devices.
- Perform MobileID device operations.
The underlying data and MobileID features are the same, which means that there is no impact for your end-users.
The migration is a technical change to transition your integration from MobileID API endpoints to ReuseID API endpoints.
This migration guide is only relevant for existing MobileID customers who have integrated using the MobileID API.
If you are building a new integration, then this guide does not apply to you. Instead, you should navigate directly to the ReuseID API reference documentation.
Why migrate to ReuseID?
We are moving MobileID devices under ReuseID to make MobileID part of a broader reusable identity platform. With ReuseID, you can create one trusted user, then reuse that identity across services, channels, and operations.
By migrating to ReuseID, you benefit from:
| Benefit | Description |
|---|---|
| Access to future capabilities | ReuseID is the next-generation API for reusable identity services. All future improvements and new features will be added to the ReuseID API, not the MobileID API. |
| A multi-credential user model | MobileID devices are now credentials on the ReuseID user. This makes it easier to combine MobileID with other credential types, such as passkeys. |
MobileID and ReuseID use the same backend data for users and MobileID devices. This means that you can migrate incrementally, running both the MobileID API and ReuseID API in parallel.
Summary of changes
The following table shows a summary of the changes that you need to make in your integration to migrate from the MobileID API to the ReuseID API:
| Element | Change |
|---|---|
| Base URL | The base URL changes from /mobileid/core to /reuseid/core. |
| Users | The MobileID users are now called ReuseID users. |
| Devices | MobileID devices are represented as ReuseID credentials, with type DEVICE. |
| Device operations | Device-specific operations are moved under the /credentials/devices/ path. |
| Responses | Some responses are simplified or renamed to support multiple credential types. |
| API client permissions | You must update your API client permissions in the Signicat Dashboard. |
| Event subscriptions | You must update your event subscriptions in the Signicat Dashboard. |
1. Signicat Dashboard configuration
Before you begin the API migration, ensure you configure the following settings for your account in the Signicat Dashboard:
API client permissions
To use the ReuseID API with MobileID authentication, you need to update your API client permissions in the Signicat Dashboard. To do this:
- Go to Signicat Dashboard > Settings > API clients.
- From the list, find the API client that your integration uses, then click the Edit button to the right-hand side of it.
- Click the Permissions tab.
- Click the + Manage product access button.
- Navigate to the ReuseID section, then tick the permission for ReuseID MobileID Device API.
Screenshot showing the ReuseID MobileID Device API permission in the Signicat Dashboard
- To save your changes, click the Update button at the bottom of the page.
Event subscriptions
If your integration receives operation results through events, then you need to update your event subscriptions for ReuseID in the Signicat Dashboard.
To do this:
- Go to Signicat Dashboard > Settings > Events.
- To view your subscriptions, click Subscriptions in the left-side menu.
- From the list, find the subscription that your integration uses for MobileID events, then click the Details button to the right-hand side of it.
Note
Alternatively, you can also create a new subscription. To do this, click the + Add subscription button at the top of the page.
- Navigate to the Listen to section, then expand the ReuseID dropdown to show all ReuseID events.
- Tick the ReuseID events that match the MobileID events you already subscribe to.
Screenshot showing ReuseID events that can be selected for an event subscription in the Signicat Dashboard
- To save your changes, click the Update button at the bottom of the page.
We recommend that you keep both MobileID and ReuseID events selected during the migration transition period.
This allows your system to receive events from both services until all relevant calls have moved to the ReuseID API.
2. API integration configuration
Next, you need to configure your API integration to use the Reuse API instead. You can use the sections below as a reference for the changes you need to make:
Base URL
You need to update the base URL to point to the ReuseID API instead of the MobileID API:
- MobileID API
- ReuseID API
https://api.signicat.com/mobileid/core
https://api.signicat.com/reuseid/core
User operations
You can find a summary of changes for user operations in the sections below.
Get transactions for user
Transactions now support multiple credential types in ReuseID, which can be either MobileID devices or passkeys.
For an overview of the changes to this operation, see the table below:
Get devices
The MobileID operation for listing an end-user's devices has been generalised in ReuseID, so that it returns paginated credentials for a user.
The path for this operation is:
- MobileID API
- ReuseID API
GET /devices
To learn more, see the Get devices endpoint in our MobileID API reference documentation.
GET /users/{userId}/credentials
To learn more, see the Get credentials endpoint in our ReuseID API reference documentation.
For an overview of the changes to this operation, use the table below:
Get identity verifications for user
This is a new ReuseID operation that returns a list of all identity verifications that a ReuseID user has carried out.
The path for this operation is:
GET /users/{userId}/id-verifications
To learn more, see the Get identity verifications for user endpoint in our ReuseID API reference documentation.
MobileID device management operations
The paths for the MobileID device management operations have changed. To see what it looks like, use the tabs below:
- MobileID API
- ReuseID API
GET /devices/{deviceId}
PUT /devices/{deviceId}
DELETE /devices/{deviceId}
GET /devices/{deviceId}/transactions
GET /devices/{deviceId}/geofencing
PUT /devices/{deviceId}/geofencing
DELETE /devices/{deviceId}/geofencing
GET /devices/{deviceId}/recovery-lock
PUT /devices/{deviceId}/recovery-lock
To learn more, see the Device management resource in our MobileID API reference documentation.
GET /credentials/devices/{deviceId}
PUT /credentials/devices/{deviceId}
DELETE /credentials/devices/{deviceId}
GET /credentials/devices/{deviceId}/transactions
GET /credentials/devices/{deviceId}/geofencing
PUT /credentials/devices/{deviceId}/geofencing
DELETE /credentials/devices/{deviceId}/geofencing
GET /credentials/devices/{deviceId}/recovery-lock
PUT /credentials/devices/{deviceId}/recovery-lock
To learn more, see the MobileID device management resource in our ReuseID API reference documentation.
MobileID registration operations
The paths for the MobileID registration operations have changed. To see what it looks like, use the tabs below:
- MobileID API
- ReuseID API
POST /registrations
GET /registrations/{transactionId}
DELETE /registrations/{transactionId}
To learn more, see the Registration resource in our MobileID API reference documentation.
POST /credentials/devices/registrations
GET /credentials/devices/registrations/{transactionId}
DELETE /credentials/devices/registrations/{transactionId}
To learn more, see the MobileID device registration resource in our ReuseID API reference documentation.
For an overview of the changes to this operation, see the table below:
MobileID authentication operations
The paths for the MobileID authentication operations have changed. To see what it looks like, use the tabs below:
- MobileID API
- ReuseID API
POST /authentications
GET /authentications/{transactionId}
DELETE /authentications/{transactionId}
To learn more, see the Authentication resource in our MobileID API reference documentation.
POST /credentials/devices/authentications
GET /credentials/devices/authentications/{transactionId}
DELETE /credentials/devices/authentications/{transactionId}
To learn more, see the MobileID device authentication resource in our ReuseID API reference documentation.
For an overview of the changes to this operation, see the table below:
ReuseID responses simplify the nested device and user objects by removing fields that you can fetch separately when needed.
MobileID signature operations
The paths for the MobileID signature operations have changed. To see what it looks like, use the tabs below:
- MobileID API
- ReuseID API
POST /signatures
GET /signatures/{transactionId}
DELETE /signatures/{transactionId}
To learn more, see the Signature resource in our MobileID API reference documentation.
POST /credentials/devices/signatures
GET /credentials/devices/signatures/{transactionId}
DELETE /credentials/devices/signatures/{transactionId}
To learn more, see the MobileID device signature resource in our ReuseID API reference documentation.
For an overview of the changes to this operation, see the table below:
ReuseID responses simplify the nested device and user objects by removing fields that you can fetch separately when needed.
MobileID account recovery operations
The path for the MobileID account recovery operation has changed. To see what it looks like, use the tabs below:
- MobileID API
- ReuseID API
GET /recoveries/{transactionId}
To learn more, see the Get details of account recovery endpoint in our MobileID API reference documentation.
GET /credentials/devices/recoveries/{transactionId}
To learn more, see the Get details of account recovery endpoint in our ReuseID API reference documentation.
For an overview of the changes to this operation, see the table below:
ReuseID responses simplify the nested device and user objects by removing fields that you can fetch separately when needed.
Identity verification operations
The paths for the identity verification operations have changed. To see what it looks like, use the tabs below:
- MobileID API
- ReuseID API
POST /id-verifications
GET /id-verifications/{proofingId}
To learn more, see the Identity verification resource in our MobileID API reference documentation.
POST /users/{userId}/id-verifications
GET /users/{userId}/id-verifications/{verificationId}
To learn more, see the User resource in our ReuseID API reference documentation.
For an overview of the changes to these operations, see the tables below:
Add identity verification
Changes to the operation for adding an identity verification:
Get identity verification
Changes to the operation for fetching an identity verification: